	
function m040_5()

local	xz=flag.GetValue(6001)	--主线旗标
local	xz1=flag.GetValue(6100)	--主线副旗标

if	xz==405	and	xz1==0	then


	--开始剧情
	func_start(2462,2115,0,1)	
	--修改旗标
	flag.SetValue(6001,405)

	local	i
	global.MusicFadeOut(2000,100,0)
	

	--切璇光殿
	map.ChangeNoScript(1,51)
	player.SetPos(2549,8110)	
	
	--npc建立 
	--草谷  
	npc.Create(22,11,2625,7845)
	npc.SetAt(11,-1,0)
	--玉书 
	npc.Create(23,12,2610,7892)
	npc.SetAt(12,-1,-1)
	--青石
	npc.Create(24,13,2610,7800)
	npc.SetAt(13,-1,1)
	--希明 
	npc.Create(284,14,2603,8012)
	
	--三神器 
	npc.CreateFloat(624,21,2505,100,7848)
	npc.CreateFloat(377,22,2570,80,7884)
	npc.CreateFloat(623,23,2556,100,7811)
	--三神器特效替身
	npc.Create(1,24,2547,7846)	--神农鼎替身
	npc.SetSEVisible(24,1)
	npc.SetVisible(24,0)
	npc.CreateSE(22,13557)
	npc.CreateScaledSE(24,1265,150)
	-- npc.CreateScaledSE(21,4281,400)
	-- npc.CreateScaledSE(24,4281,800)
	-- npc.CreateScaledSE(23,4281,400)
	-- npc.CreateScaledSE(21,2265,50)
	-- npc.CreateScaledSE(24,2265,100)
	-- npc.CreateScaledSE(23,2265,50)	
	
	-- npc.SetAt(22,3,2)
	
	
	
	camera.ResetLerp(0)		
	-- camera.ChangeCameraStatic(2767,156,7853,2675,119,7847)
	camera.ChangeCameraStatic(2688,132,7815,2591,113,7833)
	camera.ResetLerp(5000)			
	-- camera.ChangeCameraStatic(2754,156,7923,2671,113,7887)
	camera.ChangeCameraStatic(2686,132,7870,2589,111,7857)
	--淡入 
	effect.FadeIn(1,1)
	global.PlayMusic(34,100,2000)	
	global.WaitForCameraLerp()
	
	
	
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(2767,106,7826,2672,80,7844)
	camera.ResetLerp(15000)		
	camera.ChangeCameraStatic(2767,93,7812,2674,75,7842)
	
	npc.SetAnimSpeed(14,150)
	npc.SetSpeed(14,1.5)
	npc.MoveTo(14,2686,7967,1)
	npc.MoveTo(14,2681,7862,1)
	npc.TurnToNpc(14,11,1)
	global.Wait(0.5)
	
	
	ui.Dialog(84606,100,0,14,0,0)	--焦急  --师伯，姜世离……率魔教尊者亲自……进攻……锁妖塔！

	npc.TurnToNpc(11,14)
	npc.TurnToNpc(13,14)
	npc.TurnToNpc(12,14,1)
	global.Wait(0.5)
	

	
	ui.Dialog(84607,572,0,12,0,0)	  	--立刻命铁笔与凌音率弟子前往锁妖塔支援！
	ui.Dialog(84608,575,2,13,0,0)	  	--不，魔教尊者实力已不容小觑，若再加上姜世离，情况就更艰难。你们两人一同前去支援，此处阵法由我一人支撑。
	
	npc.TurnToNpc(12,13,1)
	global.Wait(0.5)
	
	ui.Dialog(84609,568,0,12,0,0)	  	--师兄？！此阵法本需三人方能启动，你一人支撑，是想用自己一身修为、甚至性命来为我们争取时间吗？
	ui.Dialog(84610,574,2,13,0,0)	  	--只需支撑至掌门与太武师兄施法完成即可。
	ui.Dialog(84611,574,2,13,0,0)	  	--锁妖塔封印与罡斩师弟要紧，快去！
	
	npc.TurnToNpc(11,13,1)
	global.Wait(0.5)
	
	ui.Dialog(84612,581,0,11,0,0)	  		--青石师弟，我留下。论道法、剑术我不及你们，支撑法阵一事还是交给我吧。
	global.MusicFadeOut(2000,100,0)
	effect.FadeOut(1,1)
	global.Wait(1)
	
	
	for	i=1,13,1
		do
		npc.SetHeadRot(i,0,0)
		end

	global.Wait(0.5)

	for i=1,25,1
		do
		npc.Destroy(i)
		end	
	
	
	
	
	
	
	
	
	
	

	
	
	
	
	
	
	
	--临时 锁妖塔遗迹 
	map.ChangeNoScript(1,1079)	
	

	
	--npc建立  
	--夏侯澜辉
	npc.Create(1,1,2462,2115)
	--瑕	
	npc.Create(2,2,2450,2075)
	--暮菖兰 
	npc.Create(4,4,2453,2140)
	--皇甫卓 
	npc.Create(6,6,2437,2100)	
	--锁妖塔气柱
	npc.CreateFloat(3151,413,3024,1000,2140)	
	
	


	--镜头1 
	-- 面向众人背 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(2454,1375,2137,2473,1324,2221)
	camera.ResetLerp(3000)			
	camera.ChangeCameraStatic(2473,1335,2254,2486,1292,2343)
	--淡入 
	effect.FadeIn(1,1)
	global.PlayMusic(16,100,3000)	
	-- 四个人往前跑 
	npc.RunTo(1,2500,2350)
	npc.RunTo(4,2498,2373)
	npc.RunTo(6,2470,2360)	
	npc.RunTo(2,2480,2340,1)

	
	
	
	
	
	
	
	--镜头2 
	--npc位置 
	npc.SetAt(1,1,1)
	npc.SetAt(2,1,1)
	npc.SetAt(4,1,1)
	npc.SetAt(6,1,1)
	-- 面向众人  
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(2522,1302,2395,2453,1287,2324)
	camera.ResetLerp(8000)			
	camera.ChangeCameraStatic(2528,1302,2389,2451,1288,2327)
	global.Wait(0.5)
	-- 瑕看向暮菖兰
	npc.SetHeadRotTo(2,4,1,50)
	global.Wait(0.5)

	ui.Dialog(84613,199,2,2,0,0)	--焦急  --跑了这么远了，怎么还没看到碎大石的啊？
	ui.Dialog(84614,179,0,4,0,0)	--焦急  --……
	
	-- 画面强震动 
	camera.Shake(999,5)
	global.PlaySoundLoop(10303,100)
	global.Wait(2)
	
	
	
	
	
	
	--镜头3 
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(2529,1302,2346,2430,1289,2353)
	-- 夏侯转向封印中心  
	npc.TurnToPos(1,3000,2140,1)
	npc.SetHeadRot(1,0,-20,1,50)
	global.Wait(0.5)

	ui.Dialog(84615,523,0,1,0,0)	--这是？！

	
	
	
	
	
	--镜头4 
	-- npc位置 
	npc.SetVisible(2,0)
	npc.SetVisible(4,0)
	npc.SetVisible(6,0)
	--封印中心紫色气柱   
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(2478,1299,2356,2568,1306,2313)
	camera.ResetLerp(6000)			
	camera.ChangeCameraStatic(2474,1327,2356,2564,1345,2316)
	global.Wait(4)
	--淡出 
	effect.FadeOut(1,1)
	global.Wait(1)
	--震动停
	camera.Shake(0,0)	
	global.StopLastLoopSound()
	
	
	--清理npc 
	for	i=1,12,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	global.Wait(0.5)
	
	for i=1,20,1
		do
		npc.Destroy(i)
		end	
	
	
--修改旗标
flag.SetValue(6001,409)
--删除上一个任务
ui.FinishQuest(690)
--添加任务
ui.AddQuest(691)
	
	
	--切地图 
	-- 锁妖塔 boss战场 --1021
--	map.Change(1,1021)
	map.Change(1,9997)
	player.SetPos(1750,1207)
	
	
npc.Create(5,5,1750,1207)
npc.SetVisible(5,0)
npc.CreateFloat(3151,413,2458,-15,1872)


-- camera.ChangeCameraStatic(1779,34,1060,1785,30,1160)
camera.ChangeCameraStatic(1771,11,1145,1741,-8,1238)

effect.FadeIn(1,1)
global.Wait(1)
camera.ResetLerp(2000)
camera.ChangeCameraStatic(1810,40,1114,1787,29,1210)
npc.SetAppear(5,1)
npc.MoveTo(5,1796,1157,1)
global.Wait(1)

npc.SetHeadRot(5,-40,-10,1,50)
global.Wait(1)
camera.ResetLerp(6000)
camera.ChangeCameraStatic(1779,34,1060,1836,51,1139)
global.WaitForCameraLerp()
global.Wait(1.5)
ui.Dialog(84685,116,0,5,0,0)--终于可以大干一场了啊。

effect.FadeOut(1,0.7)
global.Wait(4)

npc.SetHeadRot(5,0,0,0,100)
npc.Destroy(5)
npc.Destroy(413)


-----记录其他人物等级
ava=10178
for ig=0,9,1
do
	if player.IsPlayerInTeam(math.pow(2,ig))==1 then
		igl=player.GetLevel(math.pow(2,ig))
		flag.SetValue(ava,igl)
	end
	ava=ava+1
end


--操纵对象变罡斩
player.Add(16)
player.Remove(1)
player.Remove(2)
player.Remove(8)
player.Remove(32)

--升级
player.ChangeLevel(16,99)
player.SetXiuWei(16,6,9999)
------
camera.ResetLerp(0)
camera.ChangeCameraStatic(1903,67,1047,1835,50,1118)

player.SetAt(1,-1)

func_end(1750,1207,1,1)

wt(1.5)
ui.Message(170769)
ui.Message(170770)
ui.Message(170771)



end

end